<div class="card">
  <div class="card-header" (click)="botService.closeChatEvent()">
    <div class="d-flex">
      <div class="info-bot w-75">
        <img class="avatar rounded-circle bg-warning float-left mx-1" src="../../assets/image/themis-avatar.png" />
        <span class="font-weight-bold d-block mt-2">Themis</span>
        <small >Online</small>
      </div>
      <div class="action-bot w-25 text-right m-1">
          <button class="btn btn-outline-light rounded-circle border-0" title="Abrir chamado no GLPI">
              <i class="fa fa-plus" aria-hidden="true"></i>
          </button>
      </div>
    </div>
  </div>
  <div #scrollMe class="card-body p-0">
    <div *ngFor="let msg of resultados">
      <div class="balon2 p-2 m-0 position-relative" *ngIf="msg.remetente === 'boot' && msg.tipo === 'text'">
        <a class="float-left d-block">
          <div markdown ngPreserveWhitespaces>
            {{ msg.mensagem }}
          </div>
        </a>
        <small class="float-left d-block col-12 p-0">
          {{ botService.agente.nome}} ({{ msg.data | date:'HH:mm:ss' }})
        </small>
      </div>       
      <div *ngIf="msg.remetente === 'eu' && msg.mensagem.length > 1" class="balon1 p-2 m-0 position-relative">
        <a class="float-right d-block">
            <div markdown ngPreserveWhitespaces>
                {{msg.mensagem}}
            </div>          
        </a>
        <small class="float-right d-block col-12 p-0 text-right">Você ({{msg.data | date:'HH:mm:ss'}})</small>         
      </div>              
    </div>
  </div>
  <div class="card-footer p-0">
    <form class="m-0 p-1" action="" method="POST" autocomplete="off">
      <div class="d-flex flex-wrap sugestoes">
        <button *ngFor="let item of suggestions" class="btn btn-sm btn-light border mb-1 mr-1 rounded suggestion" (click)="sendSuggestion(item)">
          {{ item.title }}
        </button>
      </div>
      <div class="d-flex">
        <div class="center-content pr-1">
          <input id="text" (keyup.enter)="sendMessage()" [(ngModel)]="msg" class="input-message w-100 border-0 rounded-right form-control" type="text" name="text" title="Digite uma mensagem..." placeholder="Digite uma mensagem..." required>
        </div>
        <div class="right-content">
          <button class="btn btn-success rounded-circle" (click)="sendMessage()" title="Enviar">
            <i class="fa fa-paper-plane" aria-hidden="true"></i>
          </button>
        </div>
      </div>
    </form>
  </div>
</div>